Commit 97172cc2 authored by Jeremy C. Reed's avatar Jeremy C. Reed
Browse files

NSAS library uses Boost Interprocess which was introduced in Boost 1.35.0.


git-svn-id: svn://bind10.isc.org/svn/bind10/trunk@3834 e5f2f494-b856-4b98-b285-d166d9295462
parent bad80c53
...@@ -318,7 +318,7 @@ if test "${boost_include_path}" ; then ...@@ -318,7 +318,7 @@ if test "${boost_include_path}" ; then
BOOST_INCLUDES="-I${boost_include_path}" BOOST_INCLUDES="-I${boost_include_path}"
CPPFLAGS="$CPPFLAGS $BOOST_INCLUDES" CPPFLAGS="$CPPFLAGS $BOOST_INCLUDES"
fi fi
AC_CHECK_HEADERS([boost/shared_ptr.hpp boost/foreach.hpp],, AC_CHECK_HEADERS([boost/shared_ptr.hpp boost/foreach.hpp boost/interprocess/sync/interprocess_upgradable_mutex.hpp],,
AC_MSG_ERROR([Missing required header files.])) AC_MSG_ERROR([Missing required header files.]))
CPPFLAGS="$CPPFLAGS_SAVES" CPPFLAGS="$CPPFLAGS_SAVES"
AC_SUBST(BOOST_INCLUDES) AC_SUBST(BOOST_INCLUDES)
......
...@@ -128,7 +128,7 @@ ...@@ -128,7 +128,7 @@
libraries, to build BIND 10 from source code. libraries, to build BIND 10 from source code.
</p></div><p> </p></div><p>
Building from source code requires the Boost Building from source code requires the Boost
build-time headers. At least Boost version 1.34 is required. build-time headers. At least Boost version 1.35 is required.
</p><p> </p><p>
......
...@@ -274,7 +274,7 @@ var/ ...@@ -274,7 +274,7 @@ var/
<para> <para>
Building from source code requires the Boost Building from source code requires the Boost
build-time headers. At least Boost version 1.34 is required. build-time headers. At least Boost version 1.35 is required.
<!-- TODO: we don't check for this version --> <!-- TODO: we don't check for this version -->
<!-- NOTE: jreed has tested with 1.34, 1.38, and 1.41. --> <!-- NOTE: jreed has tested with 1.34, 1.38, and 1.41. -->
</para> </para>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment